Name:		perl-Test-File
Version:	1.29
Release:	1%{?dist}
Summary:	Test file attributes
Group:		Development/Libraries
License:	GPL+ or Artistic
URL:		http://search.cpan.org/dist/Test-File/
Source0:	http://www.cpan.org/authors/id/B/BD/BDFOY/Test-File-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	perl(Test::Builder) >= 0.33
BuildRequires:	perl(Test::Builder::Tester) >= 1.04
BuildRequires:	perl(Test::Prereq) >= 1.0
BuildRequires:	perl(Test::Manifest) >= 1.14
BuildRequires:	perl(Test::Pod)
BuildRequires:	perl(Test::Pod::Coverage)
BuildRequires:	perl(Test::More) >= 0.65
BuildRequires:	perl(ExtUtils::MakeMaker) >= 6.48
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This module provides a collection of test utilities for file attributes.

%prep
%setup -q -n Test-File-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w %{buildroot}/*

%check
make test

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/Test/
%{_mandir}/man3/*.3*

%changelog
* Tue Jun 29 2010 Tom "spot" Callaway <tcallawa@redhat.com> - 1.29-1
- update to 1.29

* Thu May 06 2010 Marcela Maslanova <mmaslano@redhat.com> - 1.25-5
- Mass rebuild with perl-5.12.0

* Fri Dec  4 2009 Stepan Kasal <skasal@redhat.com> - 1.25-4
- rebuild against perl 5.10.1

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.25-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.25-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Jan 20 2009 Ralf Corsépius <corsepiu@fedoraproject.org> - 1.25-1
- Upstream update.

* Mon Mar  3 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.22-3
- helps if you upload new source

* Fri Feb  8 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.22-2
- rebuild for new perl

* Wed Dec 19 2007 Tom "spot" Callaway <tcallawa@redhat.com> - 1.22-1
- bump to 1.22
- fix license tag

* Sat Sep 23 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.16-1
- Update to 1.16.

* Fri May 19 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.15-1
- Update to 1.15.

* Wed May 03 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.14-1
- First build.
